__STRNCPY_FROM_USER(9)

NAME
__strncpy_from_user - Copy a NUL terminated string from userspace, with less checking.

SYNOPSIS

long __strncpy_from_user (char * dst, const char __user * src, long count);

ARGUMENTS

dst Destination address, in kernel space. This buffer must be at least count bytes long.

src Source address, in user space.

count
    Maximum number of bytes to copy, including the trailing NUL.

DESCRIPTION

Copies a NUL-terminated string from userspace to kernel space. Caller must check the specified block with access_ok before calling this function.

On success, returns the length of the string (not including the trailing NUL).

If access to userspace fails, returns -EFAULT (some data may have been copied).

If count is smaller than the length of the string, copies count bytes and returns count.